{% load bootstrap4 %}

<div class="mt-3 card">
    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#createWorkerModal">
        Create Worker
    </button>

    <div class="modal fade" id="createWorkerModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Departament Creator</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form action="{% url 'create-worker' %}" method="post">
                        {% csrf_token %}
                        {% bootstrap_form worker_form %}
                        {% buttons %}
                            <button type="submit" class="btn btn-primary">
                                Create
                            </button>
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        {% endbuttons %}
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="card-body shadow-lg">
        <ul class="list-group">
            {% for worker in worker_list %}
                <li class="d-flex list-group-item align-items-center shadow-sm">
                    <div class="col-8">{{ worker }}</div>
                    {% if not worker.is_super %}
                        <a class="col-2 btn btn-danger" href="{% url 'delete-worker' worker.id %}">Delete</a>
                    {% endif %}
                    <button class="col-2 ml-1 btn btn-primary" type="button" data-toggle="modal"
                            data-target="#editWorker{{ worker.id }}Modal">
                        Edit
                    </button>
                </li>
            {% endfor %}
        </ul>
    </div>
</div>